---
lang: en
title: 'API docs: core.application.assertnotinprocess'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.application.assertnotinprocess.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [Application](./core.application.md) &gt; [assertNotInProcess](./core.application.assertnotinprocess.md)

## Application.assertNotInProcess() method

Assert there is no other operation is in progress, i.e., the state is not `*ing`<!-- -->, such as `starting` or `stopping`<!-- -->.

<b>Signature:</b>

```typescript
protected assertNotInProcess(op: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  op | string | The operation name, such as 'boot', 'start', or 'stop' |

<b>Returns:</b>

void


